<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.PartitionKeys Property
BTreeDatabase Class See Also Send Feedback

Return an array of type DatabaseEntry where each array entry contains the range of keys contained in one of the database's partitions. The array contains the information for the entire database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public DatabaseEntry[] PartitionKeys { get; private set; }

Visual Basic (Declaration)

    Public Property PartitionKeys As DatabaseEntry()

Visual C++

    public:
    property array<DatabaseEntry^>^ PartitionKeys {
    	array<DatabaseEntry^>^ get ();
    	void set (array<DatabaseEntry^>^ value);
    }

# See Also

BTreeDatabase Class
BerkeleyDB Namespace